Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Sudo (superuser do)
Name:      	sudo
Version:   	1.7.3
Release:   	1
Requires:	pam
License: 	GNU/GPL
URL:		http://www.gratisoft.us/sudo/
Group:     	System/Security
Source0: 	sudo-%{version}.tar.gz
Source1:	sudo-pam_config
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	glibc-devel
BuildRequires:  pam-devel
BuildRequires:	gzip
BuildRequires:  groff
BuildRequires:  sed
Obsoletes:	%{name}-man

%description
Sudo (superuser do) allows a system administrator to give certain users (or groups of users)
the ability to run some (or all) commands as root or another user while logging the commands and arguments.

%post
ldconfig
chmod 0440 /etc/sudoers
chmod 4111 /usr/bin/sudo
chmod 0700 /var/run/sudo

%postun
ldconfig

%prep
%setup -q -n sudo-%{version}

%build
%configure --prefix=%_prefix \
--with-pam \
--disable-debug \
--mandir=%{_mandir} \
--libexecdir=%_libdir --with-editor=/usr/bin/nano:/usr/bin/vi
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/pam.d
cp %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/pam.d/sudo
mkdir -p $RPM_BUILD_ROOT/var/run/sudo

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%attr(4755,root,root)/usr/bin/sudo
%_bindir/sudoedit
%_sbindir/visudo
%_bindir/sudoreplay
%config(noreplace) %_sysconfdir/sudoers
%_sysconfdir/pam.d/sudo
%dir /var/run/sudo
%_mandir/man5/sudoers.5.gz
%_mandir/man8/sudo.8.gz
%_mandir/man8/sudoedit.8.gz
%_mandir/man8/visudo.8.gz
%_mandir/man8/sudoreplay.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.7.3-1
- Version update
* Tue Jun 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.7.2p7-1
- Version update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.7.2p2-1
- Version update
* Sat Nov 07 2009 Christian Metzen <metzench@ccux-linux.de> 1.7.2p1-1
- Version update
- add nano and vi as default editors
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.9p15-2
- obsolete man package
* Sun Mar 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9p15-1
- Version update
* Thu Feb 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9p13-1
- Version update
* Tue Jan 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9p12-1
- Version update
* Mon Dec 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9p9-1
- Version update
* Fri Nov 30 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.9p8-2
- altered group
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9p8-1
- Version update
* Fri Oct 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9p7-1
- Version update
* Wed Oct 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9p6-1
- Version update
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.8p12-3
- rebuilt against pam 0.99.7.0
- refined BuildRequires
* Sun Apr 09 2006 Christian Metzen <metzench@ccux-linux.de> 1.6.8p12-2
- Fixed minor Bug
* Sun Dec 04 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.6.8p12-1
- Version Update
* Thu Nov 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.6.8p11-3
- No more replacement of the sudoers config
* Sun Nov 06 2005 Christian Wasem <wasem@ccux-linux.de> 1.6.8p11-2
- added sudo-pam_config
* Sat Nov 05 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.6.8p11-1
- Version Update, added PAM support
* Sat Jun 25 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.6.8p9-3
- Set sudo suid
* Thu Jun 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.6.8p9-2
- Tweaked Specfile
* Thu Jun 23 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.6.8p9-1
- Tweaked specfile, security update to version 1.6.8p9
* Fri Nov 19 2004 Christian Metzen <metzench@ccux-linux.de> 1.6.8p4-1
- Initial Release
